### Method

# WebKit2WebExtension DOMDocument create_comment

deprecated: 2.22

#### Declaration [src]

    WebKitDOMComment*
    webkit_dom_document_create_comment (
      WebKitDOMDocument* self,
      const gchar* data
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`data`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDOMComment`

A `WebKitDOMComment`.

The returned data is owned by the instance.